Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2010-5094

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2010-5094
Last Modified 27 Aug 2012 12:00:00
Published 26 Aug 2012 02:55:01
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2010-5094

Summary

The deleteinstallfiles function in control/ContentController.php in SilverStripe 2.3.x before 2.3.7 does not require ADMIN permissions, which allows remote attackers to delete index.php and "disrupt mod_rewrite-less URL routing."

Vulnerable Systems

Application

  • Silverstripe 2.3.0

  • Silverstripe 2.3.1

  • Silverstripe 2.3.2

  • Silverstripe 2.3.3

  • Silverstripe 2.3.4

  • Silverstripe 2.3.5

  • Silverstripe 2.3.6


References

CONFIRM - http://www.silverstripe.org/security-releases

MLIST - [oss-security] 20120501 Re: CVE-request: SilverStripe before 2.4.4

MLIST - [oss-security] 20120430 Re: CVE-request: SilverStripe before 2.4.4

MLIST - [oss-security] 20120430 CVE-request: SilverStripe before 2.4.4

CONFIRM - http://open.silverstripe.org/changeset/101227

CONFIRM - http://doc.silverstripe.org/sapphire/en/trunk/changelogs//2.3.7


Last Updated: 27 May 2016 11:00:20